Bug 830816 - REST API DOC: it is possible to hot plug/unplug NIC from VM during VM powering up
REST API DOC: it is possible to hot plug/unplug NIC from VM during VM powerin...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Macpherson
ecs-bugs
network
: Documentation
Depends On:
Blocks: 815900
  Show dependency treegraph
 
Reported: 2012-06-11 09:20 EDT by Dan Macpherson
Modified: 2016-02-10 14:52 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 826931
Environment:
Last Closed: 2012-12-04 12:21:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2012-06-11 09:20:38 EDT
+++ This bug was initially created as a clone of Bug #826931 +++

http://www.ovirt.org/wiki/Features/Design/DetailedHotlugNic#REST_API

2 new actions on nics collection: 
/api/vms/xxx/nics/yyy/activate
/api/vms/xxx/nics/yyy/deactivate
Comment 1 Dan Macpherson 2012-08-01 10:28:41 EDT
Added new section on VM NIC activate and deactivate actions.
Committed revision 83836.

Note You need to log in before you can comment on or make changes to this bug.